Bug 54834 - Allow user to select multiple headings simultaneously and promote or demote their levels in Navigator window
Summary: Allow user to select multiple headings simultaneously and promote or demote t...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium enhancement
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2012-09-13 02:52 UTC by narayanaras
Modified: 2018-10-03 09:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing that I can't select multiple headings in Navigator (477.37 KB, video/mp4)
2018-10-02 14:45 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2012-09-13 02:52:53 UTC
Allow user to select multiple headings simultaneously and promote or demote their levels

Currently the user is allowed to click on one heading at a time in Navigator window. He cannot select multiple headings at a time. 

As a result, if we have to promote/demote the levels of multiple headings, it becomes very tedious: We have to click on each heading and then click on the promote or demote button. 

This means if we have to demote 20 headings, we have to click 40 times!

This is totally wasteful.

Let the user select multiple headings in the Navigator window (allow him to use SHFT and CTRL keys while he clicks). Then he can promote/demote the levels of all the selected headings with a single click.
Comment 1 A (Andy) 2013-02-23 22:20:21 UTC
marked as enhancement proposal
Comment 2 stragu 2013-11-14 22:39:14 UTC
Maybe this enhancement request could be extended to all the components?
I was looking for a bug report about the fact that it is not possible to select several shapes from the navigator using the shift key, which seems to be the same problem as described here.

This would be very useful in Impress for example, when wanting to change a parameter of several objects all at the same time without having to select the shapes on the slide one by one with the risk of missing some or selecting something else. The navigator could make it way easier as it is clear what is what thanks to the object names.

Is this the same issue?
Comment 3 Michael Stahl (CIB) 2016-11-30 14:11:19 UTC
as it happens we have an internal user who requested the same so i just implemented it
Comment 4 Commit Notification 2016-11-30 14:12:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf7b5ee0c8a552625b80a7a57c32fe05ee756f7a

rhbz#1122096 tdf#54834: sw navigator: multi-selection of outline entries

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-30 19:31:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=946684ab33e51140f257cf497ad8c26ff4156669&h=libreoffice-5-3

rhbz#1122096 tdf#54834: sw navigator: multi-selection of outline entries

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2018-10-02 11:15:37 UTC
Is this really fixed?

I can't see that this issue is fixed in the Navigator. I can't select more than a single item in the Navigator. This is the case for all kind of items: headings, tables, hyperlinks, etc.

Tested with Version: 6.2.0.0.alpha0+ (x64)
Build ID: 89a60912bba7ffd6f65ea99f4664f343c5025c95
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-01_03:18:33
Locale: de-AT (de_AT); Calc: CL

and Version: 6.0.4.2 (x64)
Build-ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU-Threads: 8; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-AT (de_AT); Calc: group
Comment 7 BogdanB 2018-10-02 14:45:15 UTC
Created attachment 145327 [details]
video showing that I can't select multiple headings in Navigator

I tested on
Version: 6.2.0.0.alpha0+
Build ID: a906b68a9fff30c2af5c03189e59c1952cd3f69f
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-30_19:07:59
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded

But I can't select multiple headings from Navigator, even using Ctrl or Shift, etc... Please see the video.
Comment 8 Michael Stahl (CIB) 2018-10-02 14:52:53 UTC
you have to switch to the "Content Navigation View" by clicking the leftmost button in the lower button bar (above the navigator) so that only Headings are displayed.

i forgot why the multi-selection only works there and not in the full tree.

possibly because it's not possible to prevent multi-selection of different types of nodes e.g. a heading and a drawing shape or something like that which doesn't make sense?
Comment 9 BogdanB 2018-10-02 18:07:58 UTC
(In reply to Michael Stahl (CIB) from comment #8)
> you have to switch to the "Content Navigation View" by clicking the leftmost
> button in the lower button bar (above the navigator) so that only Headings
> are displayed.

I tested now,
it works...

Version: 6.2.0.0.alpha0+
Build ID: a906b68a9fff30c2af5c03189e59c1952cd3f69f
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-30_19:07:59
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 10 BogdanB 2018-10-03 07:03:43 UTC
Tested on
Version: 6.2.0.0.alpha0+ (x64)
Build ID: 3208fcb3a36d75d6290d9c548430682f153b09db
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-20_22:43:20
Locale: ro-RO (ro_RO); Calc: threaded

WORKS
Comment 11 Thomas Lendo 2018-10-03 09:03:26 UTC
(In reply to Michael Stahl (CIB) from comment #8)
> i forgot why the multi-selection only works there and not in the full tree.
> 
> possibly because it's not possible to prevent multi-selection of different
> types of nodes e.g. a heading and a drawing shape or something like that
> which doesn't make sense?
Thanks for the info. The multi-selection of items in the 'Content Navigation View' only works with headings. Is it possible to expand it to all types of nodes?

If you click in the normal Navigator pane on a table item, then in the 'Content Navigation View' only the nodes of this type (here: tables) are shown. But multi-selection isn't possible for non-headings to--for example--delete 5 items at once instead of deleting them individually. Not it's not a consistent behavior for the user.

Full tree:

You're right, multi-selection of different node types isn't very useful in the full tree as I can see. The only possible action that is available in all node types is 'delete' (apart from the action-neutral 'Drag Mode' and 'Display' context menu items that work for the whole Navigator whether only one or more items are selected).

But why not make that possible nevertheless? Having usability and consistency in mind, I'd prefer to have also multi-selection in the full tree.

Is it possible to have an own context menu for multi-selection?